@import url('https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300..900;1,300..900&display=swap');

h1, h2, h3, h4, h5, h6, a, p, span, button, input, label, li, ul, body, select, option {
    font-family: 'Rubik', sans-serif !important;
}
:root {
    --color-primary: #a6270a ;
    --color-danger: #d97b59;
    --color-success: #A01C7D;
    --color-white: #fff;
    --color-info-dark: #7d8da1;
    --color-dark: #363949;
    --color-light : rgba(132, 139, 200, 0.3);
    --color-primary-variant: #111e88;
    --color-dark-variant: #677488;
    --color-background: #f6f6f9;

    --card-border-radius: 2rem;
    --border-radius-1: 0.4rem;
    --border-radius-2: 0.8rem;
    --border-radius-3: 1.2rem;

    --card-padding: 1.2rem;
    --padding-1: 1.2rem;

    --box-shadow: 0 1.2rem 3rem var(--color-light);
    --box-shadow-dark: 0 2rem 4rem var(var(--color-dark));
 
}

.background {
    position: absolute;
    z-index: -1;
    width: 100%;
    height: 100vh;
    background:  linear-gradient(
        to left, #E4F3F9, #F4F9FF
    );
    clip-path: polygon(
        0 0,
        100% 0,
        100% 80%,
        100% 35%,
        0 100%
    );
}

.fixed-top {
    padding: 0 !important;
}

.navbar {
    position: relative !important;
    transition: all 0.65s;
    z-index: 10000;
}
   
.navbar-scrolled {
    position: fixed !important;
    background-color: var(--color-white);
    box-shadow: var(--box-shadow);
    margin-bottom: 2rem;
}

.navbar-toggler {
    border: 1px solid var(--color-background) !important;
}

.orange {
    color: var(--color-danger);
}

.red {
    color: var(--color-primary)
}

.purple {
    color: var(--color-success);
}

.dark {
    color: var(--color-dark-variant);
}

.info-dark {
    color: #bcc5d0;
}

.bold {
    font-weight: 700;
}

body {
    background-color: var(--color-background);
    margin: 0;
    padding: 0;
}

footer {
    background-color: var(--color-dark);
}


.nav-item {
    padding-right: 2.5rem;
}

.img-center{
    justify-content: center;
    display: flex;
}

.active {
    color: #a6270a !important;
}

.navbar-text {
    padding:10px 20px;
    border: 2px solid var(--color-primary) !important;
    color: var(--color-primary) !important;
    font-weight: 500;
}

.red-border {
    width: 70px;
    height: 5px;
    background-color: var(--color-danger);
}

header h6 {
    color: rgb(141, 141, 141);
}

button:hover{
    opacity: .7 !important;
    transition: all ease .4s;
}
.btn-primary {
    background-color: var(--color-success) !important;
    border: 0 !important;
}

.app-icons {
    background-color: white;
    padding: 10px;
    border-radius: 10px;
    margin: 10px;
    box-shadow: var(--box-shadow);
}

.select-location {
    background-color: rgba(255, 255, 255, 0.2);
    border-radius: 15px;
    padding: .5rem;
    box-shadow: var(--box-shadow);
}

.form-select {
    border: none !important;
    margin-top: .5rem;
    margin-bottom: .5rem;
}

.select-location button {
    margin-top: .5rem;
    margin-bottom: .5rem;
}

.search-seperator {
    color: var(--color-light);
    font-size: 1.5rem;
}

.modal-content {
    height: 70vh !important;
}

.icon-btn {
    box-shadow: var(--box-shadow);
    padding: 10px;
    background-color: white;
    border-radius: var(--border-radius-1);
}



#price {
    background: linear-gradient(rgba(0, 0, 0, .8), rgba(0, 0, 0, .3)), url(../img/car-charging-bg.jpg);
    background-position: left;
    background-attachment: inherit;
    background-size: cover;
    background-repeat: no-repeat;
    -webkit-background-size: cover;
    padding-bottom: 2rem;
}

#price h3 > span {
    font-size: .7rem;
    padding-left: 5px;
    color: var(--color-dark-variant);
}

#price p {
    font-size: .8rem;
}

.ri-charging-pile-2-line {
    font-size: 18px;
    color: var(--color-white);
    background-color: var(--color-success);
    padding: 5px;
    border-radius: 50%;
}

.ri-battery-2-charge-line {
    font-size: 18px;
    color: var(--color-white);
    background-color: var(--color-danger);
    padding: 5px;
    border-radius: 50%;
}

.price-card {
    padding: var(--card-padding);
    border-radius: var(--card-border-radius);
    box-shadow: var(--box-shadow-dark);
    background-color:rgba(255, 255, 255, 0.8);
}

.price-card h6 {
    line-height: 0;
    color: var(--color-dark);
}

.card {
    box-shadow: var(--box-shadow);
    border: none !important;
    border-radius: var(--card-border-radius);
}

.card-link {
    float: right;
    text-decoration: none;
    color: var(--color-primary);
}

footer p {
    color: var(--color-white);
    padding: 10px;
}
.site-map {
    list-style: none;
    color: var(--color-white );
    line-height: 2.2rem;
}

.site-map a {
    text-decoration: none;
    color: var(--color-white);
}

.orange-border {
    margin-left: 5px;
    margin-right: 5px;
}

footer span {
    font-size: .8rem;
    color: var(--color-background);
    text-align: center;
    padding: 2rem;
}

.site-map a:hover {
    opacity: .7;
}

footer .orange-border {
    border-right: 1px solid var(--color-danger);
    padding-right: 2rem;
    
}

footer i {
    font-size: 1.4rem;
    color: var(--color-info-dark);
    background-color: var(--color-light);
    border-radius: 50%;
    padding: 5px;
    margin-right: 0.5rem;
    
}
footer a {
    text-decoration: none;
}

footer i:hover {
    opacity: .7;
    color: var(--color-danger);
}

.container-fluid {
    --bs-gutter-x: 0 !important;
}

.c-banner {
    background: black;
    overflow: hidden;
    position: relative;
}

.banner-text {
    color: var(--color-white);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
}

.c-banner img {
    object-fit: cover;
    opacity: 0.4;
}

#iletisim {
    color: var(--text-dark);
    width: auto;
    max-width: 1200px;
    margin-left: auto;
    margin-right: auto;
    background-color: var(--color-background);
    padding: var(--card-padding);
    margin-top: 2rem;
    margin-bottom: 2rem;
    border-radius: var(--card-border-radius);
    box-shadow: var(--box-shadow);

}

#iletisim h2 {
    text-align: center;
    margin-top: 3rem;
    color: var(--primary-color);
}

.input-box {
    position: relative;
    width: 70%;
    margin: 30px auto;
    border-bottom: 1px solid #afafaf;
}

.input-box label {
    position: absolute;
    top: 50%;
    left: 35px;
    transform: translateY(-50%);
    font-size: 1rem;
    color: #afafaf;
    pointer-events: none;
    transition: .5s !important;
}


.input-box input:focus~label,
.input-box input:valid~label {
    color:#afafaf;
    top: -5px;
    transition: .5s !important;
}

.input-box input {
    width: 100%;
    height: 50px;
    background: transparent;
    border: none;
    outline: none;
    font-size: 1rem;
    color: #616161;
    font-weight: bold;
    padding: 0 35px 0 35px;
}

.input-box .icon {
    position: absolute;
    color: #afafaf;
    font-size: 1.2rem;
    line-height: 57px;
}

.privacy {
    color: var(--text-dark);
    padding: 2rem;
    padding-left: 10px;
    padding-right: 10px;
}

.formbold-mb-3 {
    margin-bottom: 15px;
  }
  .formbold-relative {
    position: relative;
  }
  .formbold-opacity-0 {
    opacity: 0;
  }
  .formbold-stroke-current {
    stroke: #ffffff;
    z-index: 999;
  }
  #supportCheckbox:checked ~ div span {
    opacity: 1;
  }
  #supportCheckbox:checked ~ div {
    background: #6a64f1;
    border-color: #6a64f1;
  }

  .formbold-main-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 48px;
  }

  .formbold-form-wrapper {
    margin: 0 auto;
    max-width: 100%;
    width: 100%;
    background: white;
    padding: 40px;
  }

  .formbold-img {
    display: block;
    margin: 0 auto 45px;
  }

  .formbold-input-wrapp > div {
    display: flex;
    gap: 20px;
  }

  .formbold-input-flex {
    display: flex;
    gap: 20px;
    margin-bottom: 15px;
  }
  .formbold-input-flex > div {
    width: 50%;
  }
  .formbold-form-input {
    width: 100%;
    padding: 13px 22px;
    border-radius: 5px;
    border: 1px solid #dde3ec;
    background: #ffffff;
    font-weight: 500;
    font-size: 16px;
    color: #536387;
    outline: none;
    resize: none;
  }
  .formbold-form-input::placeholder,
  select.formbold-form-input,
  .formbold-form-input[type='date']::-webkit-datetime-edit-text,
  .formbold-form-input[type='date']::-webkit-datetime-edit-month-field,
  .formbold-form-input[type='date']::-webkit-datetime-edit-day-field,
  .formbold-form-input[type='date']::-webkit-datetime-edit-year-field {
    color: rgba(83, 99, 135, 0.5);
  }

  .formbold-form-input:focus {
    border-color: #6a64f1;
    box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.05);
  }
  .formbold-form-label {
    color: #536387;
    font-size: 14px;
    line-height: 24px;
    display: block;
    margin-bottom: 10px;
  }

  .formbold-checkbox-label {
    display: flex;
    cursor: pointer;
    user-select: none;
    font-size: 16px;
    line-height: 24px;
    color: #536387;
  }
  .formbold-checkbox-label a {
    margin-left: 5px;
    color: #6a64f1;
  }
  .formbold-input-checkbox {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border-width: 0;
  }
  .formbold-checkbox-inner {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 20px;
    height: 20px;
    margin-right: 16px;
    margin-top: 2px;
    border: 0.7px solid #dde3ec;
    border-radius: 3px;
  }

  .formbold-form-file {
    padding: 12px;
    font-size: 14px;
    line-height: 24px;
    color: rgba(83, 99, 135, 0.5);
  }
  .formbold-form-file::-webkit-file-upload-button {
    display: none;
  }
  .formbold-form-file:before {
    content: 'Upload';
    display: inline-block;
    background: #EEEEEE;
    border: 0.5px solid #E7E7E7;
    border-radius: 3px;
    padding: 3px 12px;
    outline: none;
    white-space: nowrap;
    cursor: pointer;
    color: #637381;
    font-weight: 500;
    font-size: 12px;
    line-height: 16px;
    margin-right: 10px;
  }

  .formbold-btn {
    font-size: 16px;
    border-radius: 5px;
    padding: 14px 25px;
    border: none;
    font-weight: 500;
    background-color: #6a64f1;
    color: white;
    cursor: pointer;
    margin-top: 25px;
  }
  .formbold-btn:hover {
    box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.05);
  }

  .formbold-w-45 {
    width: 45%;
  }
  .accordion button {
    font-weight: bold;
  }
   .wrapper {
    max-width: 75%;
    margin: auto;
   }

   .wrapper > p {
    margin: 1.5rem 0;
    text-align: left;
   } 

   .accordion {
    background-color: var(--color-background);
    color: rgba(0, 0, 0, .8);
    cursor: pointer;
    font-size: 1rem;
    width: 100%;
    padding: 2rem !important;
    border: none;
    outline: none;
    transition: 0.4s;
    display: flex;
    justify-content: space-between;
    align-items: left;
    font-weight: bold;
    border-radius: var(--card-border-radius);
    box-shadow: var(--box-shadow);
   }

   .accordion::after{
    content: '\002B';
    color: var(--color-dark);
    font-weight: bold;
    float: right;
    margin-left: 5px;
   }

   .faq > .active::after{
    content: "\2212";
   }

   .panel {
     padding: 0 18px;
     display:none;
     overflow: hidden;
     padding: 1rem 2rem .5rem 2rem;
     transition: ease 0.4s ease-in-out;
    
   }

   .panel p {
    color: rgba(0, 0, 0, .8);
    font-size: 1rem;
    line-height: 1.4;
    transition: ease 0.4s;
   }

   .faq {
    margin: 10px 0;
   }
 
@media screen and (max-width: 768px) {
    .wrapper {
        max-width: 100%;
    }
    .navbar, button {
        
        padding-top: 12px !important;
        }
    .nav-item {
        padding: 5px !important;
        margin-left: 20px;
    }
    .navbar-text {
        margin-left: 20px;
        margin-bottom: 2rem;
    }
    .order {
        display: flex;
        flex-flow: column;
    }
    .right-up {
        order: 1;
    }
    .left-down {
        order: 2;
    }
    h1, h6 {
        text-align: center;
    }
    .red-border {
       margin-left: auto;
       margin-right: auto;
    }
    .app-box {
        text-align: center;
        justify-content: space-around;
    }
    .select-location button {
        width: inherit;
        margin-top: 15px;
    }
    #docks h2, h4, h6 {
        text-align: center;
    }
    #docks .d-flex, h4 {
        justify-content: center;
        text-align: center;
    }
    .price-card {
        text-align: center;
    }

    footer .orange-border {
        border-right: 0;
        border-left: 0;
        border-bottom: 1px solid var(--color-danger);
    }
    footer {
        text-align: center;
        margin: 0 !important;
    }
    .site-map {
        padding-left: 0;
        padding-right: 0;
    }

    footer .container {
        padding: 2rem !important;
    }
    .banner-img {
        display: none;
    }
    .img-center{
        width: 100%;
    }
    
  }
  